MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032192Open CASCADE[OCCT] OCCT:Visualizationpublic2021-03-02 21:302021-03-06 13:25
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032192: Visualization, TKOpenGl - load OpenGL 4.6 functions within OpenGl_Context
DescriptionIt is proposed updating glext.h and loading OpenGL 4.6 functions for completeness (there are just 4 of them).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0030638closedapn Visualization, TKOpenGl - load OpenGL 4.5 functions within OpenGl_Context 
related to 0032154verifiedbugmaster Tests - include vglinfo into Tests Summary 

-  Notes
(0099321)
git (administrator)
2021-03-02 21:32

Branch CR32192 has been created by kgv.

SHA-1: 5408e75db1daabb4d42fa2e67096d330a751fccd


Detailed log of new commits:

Author: kgv
Date: Tue Mar 2 21:31:50 2021 +0300

    0032192: Visualization, TKOpenGl - load OpenGL 4.6 functions within OpenGl_Context
    
    glext.h has been updated to include latest fixes and new definitions.
(0099326)
kgv (developer)
2021-03-02 23:24

Patch is ready for review
- OCCT: branch CR32192.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32192-master-KGV/ [^]
(0099328)
osa (developer)
2021-03-03 10:06

The patch was reviewed
(0099473)
bugmaster (administrator)
2021-03-06 12:15

Combination -
OCCT branch : IR-2021-03-05
master SHA - 58210e5983a7986bc4cd1bec9c0b5cb29828fda4
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-03-05 SHA - b3d022cfefe721ee2ad6db68ca360345d656610b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17744.80000000016 / 17811.87000000015 [-0.38%]
Products
Total CPU difference: 11539.9800000001 / 11543.6500000001 [-0.03%]
Windows-64-VC14:
OCCT
Total CPU difference: 19321.640625 / 19344.390625 [-0.12%]
Products
Total CPU difference: 12868.796875 / 12900.578125 [-0.25%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099494)
git (administrator)
2021-03-06 13:25

Branch CR32192 has been deleted by inv.

SHA-1: 5408e75db1daabb4d42fa2e67096d330a751fccd

- Related Changesets
occt: master 952a0565
Timestamp: 2021-03-02 18:31:50
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032192: Visualization, TKOpenGl - load OpenGL 4.6 functions within OpenGl_Context

glext.h has been updated to include latest fixes and new definitions.
mod - src/OpenGl/FILES Diff ] File ]
mod - src/OpenGl/glext.h Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
add - src/OpenGl/OpenGl_GlCore46.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlFunctions.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff ] File ]
add - src/OpenGl/OpenGl_khrplatform.h Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-03-02 21:30 kgv New Issue
2021-03-02 21:30 kgv Assigned To => kgv
2021-03-02 21:32 git Note Added: 0099321
2021-03-02 21:34 kgv Relationship added related to 0030638
2021-03-02 21:34 kgv Relationship added related to 0032154
2021-03-02 21:36 kgv Description Updated View Revisions
2021-03-02 23:24 kgv Note Added: 0099326
2021-03-02 23:24 kgv Assigned To kgv => osa
2021-03-02 23:24 kgv Status new => resolved
2021-03-03 10:06 osa Note Added: 0099328
2021-03-03 10:06 osa Assigned To osa => bugmaster
2021-03-03 10:06 osa Status resolved => reviewed
2021-03-06 12:15 bugmaster Note Added: 0099473
2021-03-06 12:15 bugmaster Status reviewed => tested
2021-03-06 12:22 bugmaster Test case number => Not required
2021-03-06 12:34 bugmaster Changeset attached => occt master 952a0565
2021-03-06 12:34 bugmaster Status tested => verified
2021-03-06 12:34 bugmaster Resolution open => fixed
2021-03-06 13:25 git Note Added: 0099494


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker